Связность и связанность
===

## Введение

Эти два слова в русском языке практически неразличимы. 
Вместо связанности также используется термин увязка.

Под связностью подразумевают насколько тот или иной модуль является узкопрофильным. 
Запомните этот термин и всегда старайтесь, чтобы ваш код имел хорошую связность.

## Пример

Например, у нас есть приложение, которое состоит из нескольких слоев. 
Слоя представления, где располагаются компоненты пользовательского интерфейса, бизнес-слоя,
где представлен бизнес-процесс и слой доступа к данным. 
Так вот, если в слое бизнес-процесса расположить инициализацию строки соединения, выборку данных , 
то это приведет к сильной связанности программного кода и слабой связности внутри модуля. 

## Типы связности

### Случайная связность (coincidental)

Тип связности, при котором задачи, выполняемые программным модулем, не имеют функциональной взаимосвязи друг с другом.

### Коммуникационная связность (communicational)

Тип связности, при котором задачи, выполняемые программным модулем, используют одни и те же входные данные или участвуют в формировании одних и тех же выходных данных.

### Функциональная связность (functional)

Тип связности, при котором все задачи, выполняемые программным модулем, вносят вклад в выполнение одной и той же функции.

### Логическая связность (logical)

Тип связности, при котором задачи, выполняемые программным модулем, реализуют логически сходные функции (например, одинаково обрабатывают разные типы входных данных).

### Процедурная связность (procedural)

Тип связности, при котором все задачи, выполняемые программным модулем, участвуют в некоторой программной процедуре.

### Последовательностная связность (sequential)

Тип связности, при котором выходные данные одной задачи, выполняемой программным модулем, служат входным данными для другой задачи, выполняемой этим же модулем.

### Временна́я связность (temporal)

Тип связности, при котором все задачи, выполняемые программным модулем, требуются для некоторой фазы выполнения программы (например, модуль содержит все задачи для инициализации).
